# codat-synccommerce

<!-- Start SDK Installation -->
## SDK Installation

```bash
pip install codat-synccommerce
```
<!-- End SDK Installation -->

## SDK Example Usage
<!-- Start SDK Example Usage -->
```python
import codat
from codat.models import operations, shared

s = codat.Codat(
    security=shared.Security(
        auth_header="YOUR_API_KEY_HERE",
    ),
)


req = shared.CreateCompany(
    name="Bob's Burgers",
)
    
res = s.company_management.create_company(req)

if res.company is not None:
    # handle response
```
<!-- End SDK Example Usage -->

<!-- Start SDK Available Operations -->
## Available Resources and Operations


### company_management

* `create_company` - Create a sync for commerce company
* `create_connection` - Create a data connection
* `list_companies` - List companies
* `list_connections` - List data connections
* `update_connection` - Update data connection

### configuration

* `get_configuration` - Retrieve config preferences set for a company.
* `get_sync_status` - Get status for a company's syncs
* `set_configuration` - Create or update configuration.

### integrations

* `get_integration_branding` - Get branding for an integration
* `list_integrations` - List information on Codat's supported integrations

### sync

* `request_sync` - Run a Commerce sync from the last successful sync
* `request_sync_for_date_range` - Run a Commerce sync from a given date range

### sync_flow_preferences

* `get_config_text_sync_flow` - Retrieve preferences for text fields on Sync Flow
* `get_sync_flow_url` - Retrieve sync flow url
* `get_visible_accounts` - List visible accounts
* `update_config_text_sync_flow` - Update preferences for text fields on sync flow
* `update_visible_accounts_sync_flow` - Update the visible accounts on Sync Flow
<!-- End SDK Available Operations -->

### SDK Generated by [Speakeasy](https://docs.speakeasyapi.dev/docs/using-speakeasy/client-sdks)
